Crash at the starting of a server

Hello and thank you for the time you spend to try to help me out,
I wanted to make a server to play with my friends and everything was allright until I decided to add some plug ins so I searched and I saw I could use plug-in and mods if I use sponge, so I downloaded sponge and at the first start it crash with this error:
[00:26:32] [main/INFO] [Sponge]: //
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
Oh dear. Something went wrong and the server had to shut down! /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
A critical error was encountered while blending Sponge with Forge! /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
Possible causes are: /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
* An incompatible Forge “core mod” is present. Try removing other mods to /
[00:26:32] [main/INFO] [Sponge]: /
see if the problem goes away. /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
* You are using the wrong version of Minecraft Forge. You must use the /
[00:26:32] [main/INFO] [Sponge]: /
correct version of Forge when running Sponge, this version is for /
[00:26:32] [main/INFO] [Sponge]: /
14.23.5.2838 (you are running 14.23.5.2838) /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
* An error exists in Sponge itself. Ensure you are running the latest version /
[00:26:32] [main/INFO] [Sponge]: /
of Sponge. /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
* Gremlins are invading your computer. Did you feed a Mogwai after midnight? /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
Technical details: /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
Failed on class : net.minecraft.server.MinecraftServer /
[00:26:32] [main/INFO] [Sponge]: /
During phase : DEFAULT /
[00:26:32] [main/INFO] [Sponge]: /
Mixin : server.MinecraftServerMixin_Forge /
[00:26:32] [main/INFO] [Sponge]: /
Config : mixins.forge.core.json /
[00:26:32] [main/INFO] [Sponge]: /
Error Type : org.spongepowered.asm.mixin.transformer.throwables.InvalidMixinException /
[00:26:32] [main/INFO] [Sponge]: /
Caused by : Unknown /
[00:26:32] [main/INFO] [Sponge]: /
Message : @Shadow method getPlayerProfileCache in mixins.forge.core.json:server.MinecraftServerMixin_Forge was not located in the target class net.minecraft.server.MinecraftServer. Using refmap mixins.forge.refmap.json /
[00:26:32] [main/INFO] [Sponge]: /
/
[00:26:32] [main/INFO] [Sponge]: /
****/
[email protected]~ Server marked as offline…

There is no crash logs in the crash log folder and it’s my very first time with sponge so I don’t know at all how to fix this.
If you could help me I would be very grateful
Btw even if you can’t help me I thank you for spending your time to try to help me

if you want the full console here it is:

Updates:
I’ve renamed Sponge to make it arrive in first in my mod list
I have tested without FoamFix no effects, I updated it no effect neither, and I finally modified the configuration as said in the mod compatibility, no effect at all.
Here is my crash log, something about gremmlins spawned but Idk what it refer to.

Please try using the latest Recommended build of SpomgeForge, instead of release candidates (you have been using spongeforge-1.12.2-2838-7.3.1-RC4093), which may all be broken because Sponge’s Download Indexer is malfunctioning at present.

1 Like

thank you I didn’t noticed I was not on the stable version x)